use crate::socket::{HttpRequestType, HttpResCode, ws::Ws};

#[cfg(feature = "chat")]
pub mod chat;
pub mod index;
#[cfg(feature = "ttt")]
pub mod ttt;

pub trait App {
    fn socket_name(&self) -> &'static str;
    async fn handle_request<'a>(
        &'a mut self,
        _path: &str,
        _req_type: HttpRequestType,
        _content: &str,
    ) -> (HttpResCode, &'static str, &'a str) {
        (HttpResCode::NotFound, "", "")
    }
    fn accept_ws(&self, _path: &str) -> bool {
        false
    }
    async fn handle_ws<'a, const BUF_SIZE: usize, const RES_HEAD_BUF_SIZE: usize>(
        &'a mut self,
        _path: &str,
        _ws: Ws<'a, BUF_SIZE, RES_HEAD_BUF_SIZE>,
    ) {
    }
}
